/* You can add global styles to this file, and also import other style files */

@import "./assets/fonts/custom-font";
@import "./assets/sass/scss/variables";
@import "./assets/sass/scss/core/responsive";
@import "./assets/sass/scss/responsive";
@import "~@ng-select/ng-select/themes/default.theme.css";
@import '~ngx-ui-switch/ui-switch.component.scss';

* {
    font-family: $font-primary, $font-family-content;
}

a {
    color: $primary !important;
}

.title {
    font-weight: 500;
    letter-spacing: 0.05rem;
}

button:disabled {
    cursor: not-allowed!important;
}

.btn-blue {
    color: #fff !important;
    font-size: small;
    font-family: $font-secondary;
    background-color: #0073bc !important;
    padding: 12px;
}

.btn-red {
    color: #fff !important;
    font-size: small;
    font-family: $font-secondary;
    background-color: $quarantined !important;
    padding: 12px;
}

.btn-grey {
    color: #fff !important;
    font-size: small;
    font-family: $font-secondary;
    background-color: #848484 !important;
    padding: 12px;
}

// Switch
.switch.switch-small {
    height: 11px !important;
    min-width: 25px !important;
    background-color: #adadad !important;
    border: 0;
}

.switch.switch-small small {
    margin: 0 !important;
    width: 11px !important;
    height: 11px !important;
    cursor: pointer !important;
    right: calc(100% - 13px);
}

.switch.checked {
    background-color: $success !important;
}

.switch.checked small {
    right: 0 !important;
}

// Pagination
.page-item {
    &.active {
        & .page-link {
            color: #ffffff !important;
        }
    }
}

// Cards
.card-title {
    text-transform: none !important;
}

// Form control
.form-group {
    margin-bottom: 0.75rem;
    & .form-control {
        font-size: 0.8rem;
    }
    & .fa-plus-circle {
        line-height: 34px;
        font-size: 16px;
        color: $success;
    }
    & .fa-times-circle {
        line-height: 34px;
        font-size: 16px;
        color: $danger;
    }
    & .label-control,
    .label-value {
        vertical-align: middle;
        line-height: 36px;
        margin-bottom: 0px;
    }
}

form.form-bordered .form-group .label-control {
    padding: 1.2rem !important;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    line-height: 17px;
    @include responsive(tablet) {
        border: 0px !important;
        padding-bottom: 0px !important;
        height: auto !important;
        justify-content: flex-start;
    }
}

// Add line height to font sizes
.font-small-1 {
    line-height: 0.7rem;
}

.font-small-2 {
    line-height: 0.8rem;
}

.font-small-3 {
    line-height: 0.9rem;
}

.font-medium-0 {
    font-size: 1rem !important;
    line-height: 1rem;
}

.font-medium-1 {
    line-height: 1.1rem;
}

.font-medium-2 {
    line-height: 1.2rem;
}

.font-medium-3 {
    line-height: 1.3rem;
}

// Ngb Time Picker
ngb-timepicker {
    & fieldset {
        position: absolute;
        margin-top: -20px;
        & .btn {
            margin: 0 !important;
            padding: 0 !important;
        }
    }
}

// Buttons
.btn {
    cursor: pointer;
    &:disabled {
        cursor: default;
    }
    &.btn-filter {
        border-radius: 8px;
        background-color: #eeeeee;
        color: $text-color;
        height: 30px;
        text-transform: uppercase;
        @include responsive(smart) {
            width: 100%;
            margin-top: 10px;
        }
    }
}

// Ng-select
ng-select {
    & .ng-placeholder {
        font-size: 0.8rem;
        color: #b5c4da !important;
    }
    & .ng-option {
        padding: 6px 10px !important;
        font-size: 0.8rem;
        & .ng-option-label {
            font-size: 0.8rem;
        }
    }
    & .ng-value {
        & .ng-value-label {
            font-size: 0.8rem;
        }
    }
    &.table-filter {
        min-width: 150px;
        & .ng-select-container {
            height: 29px !important;
            min-height: 29px;
        }
        & .ng-input {
            top: 0px !important;
        }
        & ng-dropdown-panel {
            transform: translateY(-15px);
        }
        & .ng-clear-wrapper {
            margin-left: 10px;
        }
    }
}
.ng-select.dashboard,app-select-search.dashboard {
    & .ng-select-container {
        border: 0;
        border-bottom: 1px solid #ccc;
        border-radius: 0;
        background: transparent;
    }
}

// Input date time
app-input-date-time.dashboard {
    & input {
        background: transparent;
        border: 0;
        border-bottom: 1px solid #cecece;
        border-radius: 0;
    }
}

// Swall
.swal2-modal {
    padding: 40px 0 !important;
    & .swal2-title {
        font-size: 1.2rem;
    }
    & .swal2-cancel {
        display: inline-block !important;
        text-decoration: underline !important;
        color: $danger !important;
        background-color: transparent !important;
        &:focus {
            box-shadow: 0 0 0 2px #fff, 0 0 0 4px rgba(255, 32, 108);
        }
        &:active {
            background-image: none !important;
        }
        &:hover {
            background-image: none !important;
        }
    }
    & .swal2-cancel {
        background-color: $primary;
        box-shadow: none !important;
    }
}

// Navbars
.navbar-nav {
    & .nav-item {
        & .dropdown-menu {
            right: 0;
            width: 100px;
            float: right;
            left: auto;
        }
    }
    @include responsive(laptop) {
        margin-right: 0px !important;
    }
}

// Tab
ngb-tabset {
    .nav-item {
        border-top-left-radius: 8px;
        border-top-right-radius: 8px;
        margin-right: 2px;
        line-height: auto;
    }
    .tab-content,
    .nav-link.active {
        border-bottom-color: transparent !important;
    }
    .nav-link {
        color: #626262 !important;
        font-size: 13px;
        font-weight: 500;
        letter-spacing: -0.12px;
        padding: 0.2rem 1rem;
        & i {
            font-size: 17px;
        }
    }
    // For lists
    &.list {
        & .tab-content {
            background-color: #ffffff !important;
            padding: 0;
            border-top: 3px solid $primary;
        }
        & .nav-item {
            width: auto;
            & .nav-link {
                & i {
                    font-weight: bold;
                }
            }
        }
    }
    // For medium detail
    &.ngb-tabset-icons {
        & .nav-item {
            & label {
                @include responsive(smart) {
                    display: none;
                }
            }
            & i {
                vertical-align: middle;
                display: none;
                @include responsive(smart) {
                    display: block;
                }
            }
        }
    }
}

// Crop image
.crop-image {
    margin: auto;
    overflow: hidden;
    text-align: center;
    & img {
        &.portrait {
            height: 100%;
        }
        &.landscape {
            width: 100%;
        }
    }
}

// Ellipsis
.ellipsize {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

// Sidebar
.app-sidebar .navigation li>a:before,
.off-canvas-sidebar .navigation li>a:before {
    border-right: 5px solid #0084d6;
}

.app-sidebar .navigation li:hover>a,
.off-canvas-sidebar .navigation li:hover>a,
.app-sidebar .navigation li>a:before,
.off-canvas-sidebar .navigation li>a:before,
.app-sidebar .navigation li.open>a,
.off-canvas-sidebar .navigation li.open>a {
    background-color: rgba(0, 77, 125, 0.29);
}

.app-sidebar .sidebar-content::-webkit-scrollbar-track-piece {
    background: $primary;
}

// Scroll
    ::-webkit-scrollbar {
    width: 8px;
    background: #a1a1a1;
    border-radius: 5px;
}

    ::-webkit-scrollbar-button {
    display: none;
}

    ::-webkit-scrollbar-track-piece {
    background: #f2f2f2;
}

    ::-webkit-scrollbar-thumb {
    background: #a1a1a1;
    border-radius: 5px;
}

//Tab  
ngb-tabset.list .tab-content {
    border-top: none !important;
}

ngb-tabset {
    .nav-tabs {
        border-bottom: none !important;
        margin-bottom: 12px !important;
    }
    .nav-tabs .nav-item {
        border: none !important;
        border-radius: 0px !important;
        background-color: #fff !important;
        box-shadow: 0 6px 0px 0 rgba(0, 0, 0, 0.01), 0 15px 32px 0 rgba(0, 0, 0, 0.06) !important;
    }
    .nav-tabs .nav-link.active {
        background-color: #c5c5c5 !important;
        border: none !important;
        border-radius: 0px !important;
    }
    & li {
        line-height: 19px !important;
    }
}

// Table
.table thead th {
    color: $secondary !important;
}

// Map
app-map {
    display: block;
}